Bug 253466 - Lenovo/IBM ThinkPad T43p Can't Suspend/Hibernate (2.6.23.1-42.fc8)
Summary: Lenovo/IBM ThinkPad T43p Can't Suspend/Hibernate (2.6.23.1-42.fc8)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 8
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-20 01:41 UTC by Yan Li
Modified: 2009-01-09 07:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 07:12:57 UTC


Attachments (Terms of Use)
lspci output (1.77 KB, text/plain)
2007-08-20 01:41 UTC, Yan Li
no flags Details
lsmod output (2.61 KB, text/plain)
2007-08-21 01:35 UTC, Yan Li
no flags Details

Description Yan Li 2007-08-20 01:41:26 UTC
Description of problem:
Lenovo/IBM ThinkPad T43p (Model 2668-H2C) can't hibernate with FC6. I booted it
into init level 1, and ran "pm-hibernate", the screen went black, the hibernate
light (the moon-shape light) started to flicker, and the computer freezed, left
a cursor blinking at the top-left corner.

Version-Release number of selected component (if applicable):
Fully updated system, with kernel 2.6.22.2-42.fc6

How reproducible:
Always

Steps to Reproduce:
1. boot into runlevel 1
2. run "pm-hibernate"
  
Actual results:
Screen went black, the hibernate light (the moon-shape light) started to
flicker, and the computer freezed, left a cursor blinking at the top-left corner.

Expected results:
Successful hibernate.

Additional info:
none

Comment 1 Yan Li 2007-08-20 01:41:26 UTC
Created attachment 161834 [details]
lspci output

Comment 2 Yan Li 2007-08-21 01:35:07 UTC
Created attachment 161940 [details]
lsmod output

Comment 3 Yan Li 2007-08-21 03:32:12 UTC
In runlevel 1, after removed "fglrx" and "ipw2200" module manually, the machine
can hibernate. So I added 'SUSPEND_MODULES="button ipw2200 fglrx"' in
/etc/pm/config, but it still can't hibernate in runlevel 5.

Comment 4 Yan Li 2007-09-06 08:05:59 UTC
Tested 2.6.22.4-45.fc6, same results:
1. Hibernate works in runlevel 1 only.
2. Suspend doesn't work neither, even in runlevel 1. The machine can't go into
sleep.  After run "pm-suspend", the screen went black, but I can still input
command to run or shutdown the machine.  I have no way to reactive the screen.

Comment 5 Tomas Lastovicka 2007-10-01 22:00:42 UTC
i have similar experience with T42 2373-F2G, the problem occured first with 
2.6.22.2-42.fc6, 2.6.20-1.2962.fc6 worked good for me...

below is description of my problem which I wanted to post to bugzilla but I 
forgot to do it after reboot. The file where I stored it has date August 24th.

the newest 2.6.22.7-57.fc6 behaves much like 2.6.22.2-42.fc6, I'll try to make 
deeper inspection in next few days

------->8------CUT---HERE-----8<--------

Description of problem:
The recent kernel upgrade from 2.6.20-1.2962.fc6 to 2.6.22.2-42.fc6 broke 
suspend to disk. Also suspend to ram changed its b
ehavior back to how it worked several months ago as described later

Version-Release number of selected component (if applicable):
kernel-2.6.22.2-42.fc6

How reproducible:
always

Steps to Reproduce second problem:
1. close laptop lid
2. wait for suspend to RAM

Actual results:
the laptop continues running, after some time it beeps once, stops cpu fan and 
hard drive and sleep light comes on.

Expected results:
after closing lid the laptop should beep once, the sleep light should start 
blinking until hard drive and fan are stopped an
d then the laptop should beep second time and the sleep light should stay on

Additional info:
laptop IBM ThinkPad T42 model 2373-F2G

the suspend to ram behavior is the same as older kernels, probably up to june 
or july 2007, but the user experience from the
 newer behavior (up to last week) was much better

Comment 6 Jon Stanley 2008-01-08 01:47:27 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 7 Yan Li 2008-01-08 02:01:02 UTC
OK. Since I'm not currently running FC6 on that machine, I'll download the
latest FC8 live CD and test it.

Comment 8 Yan Li 2008-01-10 01:56:48 UTC
I have tested F8 live CD on my laptop.  Neither suspend nor hibernation works.

For suspend:
I tested the suspend from GNOME menu: System -> Quit, and choose Suspend. The
computer can go into sleep, but can't awake, no response to any key.  Fan was
not running.

For hibernation:
The Hibernation in GNOME menu successfully shut down the system.  But reboot
from same live CD didn't resume the hibernated session, but show a fresh boot
instead. Fedora did find my swap partition on HD, but seems the live CD doesn't
check local swap for hibernation data during boot.  I suspect whether the live
CD supports hibernation or not.

Comment 9 Christopher Brown 2008-01-23 23:28:50 UTC
Could you test using the open source radeon driver as opposed to fglrx?

Comment 10 Yan Li 2008-01-24 08:07:41 UTC
I just tested with official F8 live CD, without fglrx. Thanks!

Comment 11 Christopher Brown 2008-01-24 09:27:58 UTC
(In reply to comment #10)
> I just tested with official F8 live CD, without fglrx. Thanks!

Sorry, I meant can you test with your installed version...

Comment 12 Yan Li 2008-01-25 01:45:36 UTC
(In reply to comment #11)
> Sorry, I meant can you test with your installed version...

Thanks Christopher. I'm sorry that that T43p is a production machine and I can't
install F8 on it now.  I'll try it later if I can find some spare time (or
machine of the same model) to do this.  BTW, RHEL5's hibernation works well on it.

Comment 13 Christopher Brown 2008-01-25 11:14:33 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > Sorry, I meant can you test with your installed version...
> 
> Thanks Christopher. I'm sorry that that T43p is a production machine and I can't
> install F8 on it now.  I'll try it later if I can find some spare time (or
> machine of the same model) to do this.  BTW, RHEL5's hibernation works well on it.

This bug is filed against Fedora 8 (I'm guessing due to Live CD testing) ...
what version are you running?


Comment 14 Yan Li 2008-01-26 15:57:26 UTC
(In reply to comment #13)
> This bug is filed against Fedora 8 (I'm guessing due to Live CD testing) ...
> what version are you running?

It was against FC6, and I tested it on F8 per request of comment #6, still
didn't work.

Comment 15 Bug Zapper 2008-11-26 07:41:48 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Bug Zapper 2009-01-09 07:12:57 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.